#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStartupMovieVariant {
    Invalid = 0,
    Generic = 1,
    DeckBlue = 2,
    DeckOrange = 3,
    Machine = 4,
}

impl EStartupMovieVariant {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Generic as i32 => Some(Self::Generic),
            x if x == Self::DeckBlue as i32 => Some(Self::DeckBlue),
            x if x == Self::DeckOrange as i32 => Some(Self::DeckOrange),
            x if x == Self::Machine as i32 => Some(Self::Machine),
            _ => None,
        }
    }
}
